Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodecommentnodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodecommentnodetype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for a Comment Node returns the constant value 8.

Retrieve the nodes from the document and check for a comment node and invoke the "getNodeType()" method. This should return 8.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1728279322

Definition at line 45 of file nodecommentnodetype.java.

## Constructor & Destructor Documentation

nodecommentnodetype::nodecommentnodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodecommentnodetype.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodecommentnodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 76 of file nodecommentnodetype.java.
    00076                                 {
    00077       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodecommentnodetype";
    00078    }

void nodecommentnodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 79 of file nodecommentnodetype.java. References DOMTestCase::doMain().
    00079                                           {
    00080         DOMTestCase.doMain(nodecommentnodetype.class,args);
    00081    }

void nodecommentnodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodecommentnodetype.java. References DOMTestCase::assertEquals(), DOMTestCase::equals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList testList;
    00056       Node commentNode;
    00057       String commentNodeName;
    00058       int nodeType;
    00059       doc = load("staff");
    00060       testList = doc.getChildNodes();
    00061       for(int _index = 0; _index < testList.getLength();_index++) {
    00062       commentNode = ( Node ) testList.item(_index);
    00063            commentNodeName = commentNode.getNodeName();
    00064
    00065         if(
    00066         equals("#comment",commentNodeName)
    00067         ) {
    00068         nodeType = (int)commentNode.getNodeType();
    00069       assertEquals("nodeCommentNodeTypeAssert1",8,nodeType);
    00070
    00071         }
    00072
    00073         }
    00074
    00075    }

The documentation for this class was generated from the following file:

- nodecommentnodetype.java